GuideLab Docs

Add members to a team chat group

Lab only, group members only. New members start caught up and see the history. At most 50 members per group.

POST
/team-chat/threads/{threadId}/members

Lab only, group members only. New members start caught up and see the history. At most 50 members per group.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

threadId*string
Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/team-chat/threads/string/members" \  -H "Content-Type: application/json" \  -d '{    "userIds": [      "string"    ]  }'
{  "thread": {    "id": "string",    "kind": "dm",    "title": "string",    "memberUserIds": [      "string"    ],    "lastSequence": 0,    "lastActivityAt": "string",    "lastMessage": {      "id": "string",      "threadId": "string",      "sequence": 0,      "senderUserId": "string",      "body": "string",      "attachments": [        {          "id": "string",          "name": "string",          "mimeType": "string",          "size": 0        }      ],      "createdAt": "string"    },    "unreadCount": 0  }}
Empty
Empty
Empty
Empty
Empty